## Package org.hibernate.classic

This package implements backward-compatibility with Hibernate 2.1 APIs now deprecated in Hibernate3.

See:
Description

Interface Summary
Lifecycle: Provides callbacks from the `Session` to the persistent object.
Session: An extension of the `Session` API, including all deprecated methods from Hibernate2.
Validatable: Implemented by persistent classes with invariants that must be checked before inserting into or updating the database.

Exception Summary
ValidationFailure: Thrown from `Validatable.validate()` when an invariant was violated.

## Package org.hibernate.classic Description

This package implements backward-compatibility with Hibernate 2.1 APIs now deprecated in Hibernate3.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.